com.r3corda.contracts / CommercialPaper / State

# State

`data class State : OwnableState`

### Constructors

<init> | `State(issuance: PartyAndReference, owner: PublicKey, faceValue: Amount<Issued<Currency>>, maturityDate: Instant)`

### Properties

contract | `val contract: CommercialPaper` An instance of the contract class that will verify this state.
faceValue | `val faceValue: Amount<Issued<Currency>>`
issuance | `val issuance: PartyAndReference`
maturityDate | `val maturityDate: Instant`
owner | `val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount
participants | `val participants: List<PublicKey>` A participant is any party that is able to consume this state in a valid transaction.
token | `val token: Issued<Terms>`

### Functions

toString | `fun toString(): String`
withFaceValue | `fun withFaceValue(newFaceValue: Amount<Issued<Currency>>): <ERROR CLASS>`
withIssuance | `fun withIssuance(newIssuance: PartyAndReference): <ERROR CLASS>`
withMaturityDate | `fun withMaturityDate(newMaturityDate: Instant): <ERROR CLASS>`
withNewOwner | `fun withNewOwner(newOwner: PublicKey): <ERROR CLASS>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone
withOwner | `fun withOwner(newOwner: PublicKey): <ERROR CLASS>`

### Extension Functions

owned by | `infix fun State.owned by(owner: PublicKey): State`
with notary | `infix fun State.with notary(notary: Party): TransactionState<State>`